#ifndef _JOYLINK_SOFTAP_BEACON_H_
#define _JOYLINK_SOFTAP_BEACON_H_

#define PACKET_80211_BEACON_TYPE_SSID     0
#define PACKET_80211_BEACON_TYPE_RATES    1
#define PACKET_80211_BEACON_TYPE_DSPS     3     
#define PACKET_80211_BEACON_TYPE_TIM      5
#define PACKET_80211_BEACON_TYPE_COUNTRY  7

#define BEACON_ADDR_MAX_LEN  6
#define BEACON_SSID_MAX_LEN  34

#ifdef __cplusplus
extern "C"{
#endif /* __cplusplus */

#pragma pack(1)
typedef struct _beacon_param_st
{
	char source[BEACON_ADDR_MAX_LEN];
	char Bssid[BEACON_ADDR_MAX_LEN];

	char ssid[BEACON_SSID_MAX_LEN];
	char channel;
} beacon_param_st;
#pragma pack()

/**
 * @name:joylink_softap_send_beacon_task 
 *
 * @returns:   
 */
int joylink_softap_send_beacon_task(void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif

