#include <stdio.h>
#include <stdlib.h>
#include "joylink_crypt.h"
#include "joylink_auth_uECC.h"

// joylink platform layer header files
#include "joylink_stdio.h"
#include "joylink_string.h"
#include "joylink_memory.h"
#include "joylink_time.h"
#include "joylink_thread.h"
#include "joylink_log.h"
#include "joylink_softap.h"
#include "joylink_socket.h"


JLEccContex_t __g_ekey = {0};

int 
joylink_ecc_contex_init(void)
{
	if (!__g_ekey.isInited){
		__g_ekey.isInited = 1;
		if (!uECC_make_key(__g_ekey.devPubKey, __g_ekey.priKey)) {
			jl_platform_printf("uECC_make_key() failed\n");
			return 1;
		}
		uECC_compress(__g_ekey.devPubKey, __g_ekey.devPubKeyC);
	}

    return 0;
}
