#ifndef _JOYLINK_AUTH_CRC_H
#define _JOYLINK_AUTH_CRC_H

#include <unistd.h>
#include <stdio.h>
#include "joylink_stdint.h"

#ifdef __cplusplus
extern "C"{
#endif /* __cplusplus */

unsigned short CRC16(const unsigned char* buffer, unsigned int size);
unsigned char crc8(unsigned char *A, unsigned char n);
void make_crc32_table();
uint32_t make_crc(uint32_t crc, unsigned char *string, uint32_t size);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
