#include "joylink_ble.h"
#include "joylink_log.h"

#include <sys/time.h>
#include <fcntl.h>

/*************************************************
Function: jl_ble_send_data
Description: SDK适配接口，GATTS Characteristic发送数据
Calls: GATTS Characteristic发送数据接口
Called By: @jl_send_frame：SDK内部函数
Input: @data：发送的数据
       @data_len：发送的数据长度
Output: None
Return: 0：成功
       -1：失败
Others:
*************************************************/
int32_t jl_ble_send_data(uint8_t* data, uint32_t data_len)
{
    int ret = 0;
    //to do
    return ret;
}

/*************************************************
Function: jl_ble_set_config_data
Description: SDK适配接口，获取配网与绑定参数
Calls: 传递配网信息接口
Called By: @jl_process_user_data：SDK内部函数
Input: @data->ssid：配网数据，WiFi SSID
       @data->password：配网数据，WiFi密码
Output: None
Return: 0：成功
       -1：失败
*************************************************/
int32_t jl_ble_set_config_data(uint8_t *ssid, uint8_t *password)
{
    int status = 0;
    log_info("ssid: %s, password: %s\n", ssid, password);
    //to do
    return status;
}

